# Module `screen`

awesome screen API

### Info:

- Copyright: 2008-2009 Julien Danjou
- Author: Julien Danjou <julien@danjou.info>

## Functions

count () | Get the number of screen.
connect_signal (name, func) | Add a signal to a screen.
disconnect_signal (name, func) | Remove a signal to a screen.
emit_signal (name, ...) | Emit a signal to a screen.

## Tables

screen | Screen is a table where indexes are screen number.

## Functions

count ()
  Get the number of screen.

  ### Returns:

  The screen count, at least 1.
connect_signal (name, func)
  Add a signal to a screen.

  ### Parameters:

  - name A signal name.
  - func A function to call when the signal is emitted.
disconnect_signal (name, func)
  Remove a signal to a screen.

  ### Parameters:

  - name A signal name.
  - func A function to remove
emit_signal (name, ...)
  Emit a signal to a screen.

  ### Parameters:

  - name A signal name.
  - ... Various arguments, optional.

## Tables

screen
  Screen is a table where indexes are screen number. You can use screen[1] to get access to the first screen, etc. Alternatively, if RANDR information is available, you can use output names for finding screen objects. Each screen has a set of properties.

  ### Fields:

  - geometry The screen coordinates. Immutable.
  - workarea The screen workarea.
  - index The screen number.
  - outputs If RANDR information is available, a list of outputs for this screen and their size in mm.

generated by LDoc 1.4.2